%global momorel 13
%global emacsver 23.1
%global xemacsver 21.5.29
#%%global xemacssumover 2009.02.17
%global e_sitedir %{_datadir}/emacs/site-lisp
#%%global xe_sitedir %{_datadir}/xemacs/site-lisp
%global sitepdir %{_datadir}/xemacs/site-packages

Summary: blgrep -- Block Grep in Emacs
Name: elisp-blgrep
Version: 0.2
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/Editors
URL: http://pop-club.hp.infoseek.co.jp/emacs/blgrep/
Source0: http://pop-club.hp.infoseek.co.jp/emacs/blgrep/blgrep-%{version}.tar.gz
BuildArch: noarch
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}
#BuildRequires: texinfo, tetex-latex, tetex-dvipsk, dvipdfmx
Requires: emacsen
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Block Grep in Emacs.

%package -n blgrep-emacs
Summary: blgrep -- Block Grep in Emacs
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
PreReq: info

%description -n blgrep-emacs
Block Grep in Emacs.

%package -n blgrep-xemacs
Summary: blgrep -- Block Grep in XEmacs
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}

%description -n blgrep-xemacs
blgrep -- Block Grep in XEmacs.

%prep
%setup -q -n blgrep-%{version}

%build

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

# emacs
%__make EMACS=emacs \
	prefix=%{_prefix} \
	datadir=%{_datadir} \
	lispdir=%{e_sitedir}/blgrep
%__make EMACS=emacs \
	prefix=%{buildroot}%{_prefix} \
	datadir=%{buildroot}%{_datadir} \
	lispdir=%{buildroot}%{e_sitedir}/blgrep install

make distclean

# xemacs
%__make EMACS=emacs \
	prefix=%{_prefix} \
	datadir=%{_datadir} \
	lispdir=%{sitepdir}/lisp/blgrep
%__make EMACS=emacs \
	prefix=%{buildroot}%{_prefix} \
	datadir=%{buildroot}%{_datadir} \
	lispdir=%{buildroot}%{sitepdir}/lisp/blgrep install

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README README.ja

%files -n blgrep-emacs
%defattr(-,root,root)
%{e_sitedir}/blgrep

%files -n blgrep-xemacs
%defattr(-,root,root)
%{sitepdir}/lisp/blgrep

%changelog
* Thu Jul 30 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2-13m)
- rebuild against emacs 23.1

* Tue Jul 28 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2-12m)
- rebuild against emacs 23.0.96

* Sun Jun 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2-11m)
- rebuild against emacs-23.0.95

* Mon May 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2-10m)
- rebuild against emacs-23.0.94

* Fri May 22 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2-9m)
- rebuild against xemacs-21.5.29

* Sun May 03 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2-8m)
- rebuild against emacs-23.0.93

* Thu Apr 02 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2-7m)
- rebuild against emacs-23.0.92

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2-6m)
- rebuild against rpm-4.6

* Sun Sep 07 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2-5m)
- rebuild against emacs-22.3

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2-4m)
- rebuild against xemacs-21.5.28
- use %%{sitepdir}

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2-3m)
- rebuild against emacs-22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2-2m)
- rebuild against gcc43

* Wed Aug 15 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2-1m)
- initial packaging
